:root {
    --purple: #6a1b9a;
    --gold: #d4af37;
    --bg: #f3f3f3;
    --light-gold: #FFA500;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Poppins', sans-serif;
    background: var(--bg);
}

.screen {
    max-width: 1350px;
    margin: auto;
}

.header {
    padding-top: 40px;
    text-align: center;
}

.header h1 {
    font-size: clamp(45px, 7vw, 115px);
    font-weight: 900; 
    color: var(--gold);
    letter-spacing: 6px;
    line-height: 1.1;
    text-transform: uppercase;
    text-shadow: 
        0 2px 0 rgba(0,0,0,0.08),
        0 6px 20px rgba(218,165,32,0.35);
}


.ribbon {
    width: 360px;
    margin-top: 10px;
    opacity: 0.7;
    animation: ribbon 10s infinite ease-in-out;
}
.bg-decoration {
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: -1;
    pointer-events: none;
}

.shape {
    position: absolute;
    opacity: 0.8;
}

.poly-1 {
    top: 1;
    left: 30px;
    width: 90px;
    height: 35px;
    background: var(--gold);
    transform: rotate(-45deg);
    animation: poly1 20s infinite ease-in-out;
}

.poly-2 {
    bottom: -1%;
    left: 1%;
    width: 90px;
    height: 40px;
    background: var(--gold);
    transform: rotate(-45deg);
    animation: b1 20s infinite ease-in-out;
}

.rect-1 {
    top: 20px;
    right: -50px;
    width: 180px;
    height: 25px;
    background: #a43fd6;
    transform: rotate(-45deg);
}

.rect-3 {
    bottom: 4%;
    left: 8%;
    width: 60px;
    height: 20px;
    background: #7b4397;
    transform: rotate(-45deg);
    animation: b2 20s infinite ease-in-out;
}

.rect-4 {
    top: 0;
    left: -2%;
    width: 150px;
    height: 25px;
    background: #7b4397;
    transform: rotate(-45deg);
    animation: rect4 20s infinite ease-in-out;
}

.rect-5 {
    bottom: 0;
    left: -5%;
    width: 150px;
    height: 25px;
    background: #7b4397;
    transform: rotate(-45deg);
    animation: b3 20s infinite ease-in-out;
}

.circle-1 {
    top: 25%;
    right: 15%;
    width: 30px;
    height: 30px;
    background: #d6b256;
    border-radius: 50%;
    animation: float1 20s infinite ease-in-out;
}

.circle-2 {
    top: 20%;
    left: 20%;
    width: 30px;
    height: 30px;
    background: #f3d078;
    border-radius: 50%;
    animation: float1 18s infinite ease-in-out;
}

.circle-3 {
    top: 15%;
    left: 5%;
    width: 20px;
    height: 20px;
    background: #be9c45;
    border-radius: 50%;
    animation: float1 16s infinite ease-in-out;
}

.circle-4 {
    top: 5%;
    right: 10%;
    width: 20px;
    height: 20px;
    background: #c79b2b;
    border-radius: 50%;
    animation: float1 22s infinite ease-in-out;
}

.circle-5 {
    top: 4%;
    right: 3%;
    width: 30px;
    height: 30px;
    background: #f3d078;
    border-radius: 50%;
    animation: float1 12s infinite ease-in-out;
}

.rect-2 {
    bottom: 20%;
    right: 4%;
    width: 90px;
    height: 25px;
    background: #f3d078;
    transform: rotate(-45deg);
}

.circle-6 {
    bottom: 45%;
    left: 10%;
    width: 30px;
    height: 30px;
    background: #d6b256;
    border-radius: 50%;
    animation: float1 20s infinite ease-in-out;
}
.circle-7 {
    bottom: 15%;
    right: 25%;
    width: 30px;
    height: 30px;
    background: #f0d591;
    border-radius: 50%;
    animation: float1 15s infinite ease-in-out;
}
.circle-8 {
    bottom: 10%;
    right: 65%;
    width: 30px;
    height: 30px;
    background: #e0ca91;
    border-radius: 50%;
    animation: float1 17s infinite ease-in-out;
}

/* anim */
@keyframes float1 {
    0%, 100% {
        transform: translateY(0) rotate(0deg) scale(1);
        opacity: 0.3;
    }
    25% {
        transform: translateY(-30px) rotate(90deg) scale(1.1);
        opacity: 0.5;
    }
    50% {
        transform: translateY(20px) rotate(180deg) scale(0.9);
        opacity: 0.4;
    }
    75% {
        transform: translateY(-20px) rotate(270deg) scale(1.05);
        opacity: 0.6;
    }
}
@keyframes rect4 {
    0%, 100% {
        transform: translateX(0) rotate(-45deg);
    }
    25% {
        transform: translateX(10px) rotate(-45deg);
    }
    50% {
        transform: translateX(20px) rotate(-45deg);
    }
    75% {
        transform: translateX(30px) rotate(-45deg);
    }
}

@keyframes poly1 {
    0%, 100% {
        transform: translateX(0) rotate(-45deg);
    }
    25% {
        transform: translateX(50px) rotate(-45deg);
    }
    50% {
        transform: translateX(20px) rotate(-45deg);
    }
    75% {
        transform: translateX(30px) rotate(-45deg);
    }
}

/* bottom */
@keyframes b1 {
    0%, 100% {
        transform: translateX(0) rotate(-45deg);
    }
    25% {
        transform: translateX(-20px) rotate(-45deg);
    }
    50% {
        transform: translateX(20px) rotate(-45deg);
    }
    75% {
        transform: translateX(30px) rotate(-45deg);
    }
}
@keyframes b2 {
    0%, 100% {
        transform: translateY(0) rotate(-45deg);
    }
    25% {
        transform: translateY(-50px) rotate(-45deg);
    }
    50% {
        transform: translateY(50px) rotate(-45deg);
    }
    75% {
        transform: translateY(60px) rotate(-45deg);
    }
}
@keyframes b3 {
    0%, 100% {
        transform: translateX(0) rotate(-45deg);
    }
    25% {
        transform: translateX(50px) rotate(-45deg);
    }
    50% {
        transform: translateX(20px) rotate(-45deg);
    }
    75% {
        transform: translateX(30px) rotate(-45deg);
    }
}
/* end bottom */

@keyframes float2 {
    0%, 100% {
        transform: translateY(0) rotate(0deg) translateX(0) scale(1);
        opacity: 0.4;
    }
    33% {
        transform: translateY(40px) rotate(120deg) translateX(-20px) scale(1.2);
        opacity: 0.6;
    }
    66% {
        transform: translateY(-30px) rotate(240deg) translateX(20px) scale(0.8);
        opacity: 0.3;
    }
}

@keyframes float3 {
    0%, 100% {
        transform: translateY(0) rotate(0deg) scale(1);
        opacity: 0.3;
    }
    20% {
        transform: translateY(-25px) rotate(72deg) scale(1.15);
        opacity: 0.5;
    }
    40% {
        transform: translateY(30px) rotate(144deg) scale(0.85);
        opacity: 0.4;
    }
    60% {
        transform: translateY(-35px) rotate(216deg) scale(1.1);
        opacity: 0.6;
    }
    80% {
        transform: translateY(20px) rotate(288deg) scale(0.95);
        opacity: 0.35;
    }
}

@keyframes ribbon {
    0%, 50% {
        transform: translateX(5px) rotate(0deg) scale(1);
        opacity: 0.5;
    }
    20% {
        transform: translateX(10px) rotate(5deg) scale(1);
        opacity: 0.6;
    }
   
    50% {
        transform: translateX(15px) rotate(0deg) scale(1);
        opacity: 0.7;
    }
}

.carousel-wrapper {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.carousel {
    display: flex;
    align-items: center;
    height: 100%;
    transition: transform 0.7s cubic-bezier(.25, .8, .25, 1);
     cursor: grab;
    user-select: none;
}

.slide {
    min-width: 420px;
    margin: 0;
    padding: 0;
    height: 100%;
    transform: scale(0.85);
    opacity: 0.5;
    filter: blur(1.2px);
    transition: all 0.6s ease;
}

.slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.slide.active {
    transform: scale(1.7);
    opacity: 1;
    filter: blur(0);
    z-index: 10;
}

.nav {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 54px;
    height: 54px;
    border-radius: 50%;
    border: 2px solid var(--gold);
    cursor: pointer;
}

.fa-arrow-right, .fa-arrow-left {
    color: var(--gold);
    font-size: 30px;
    font-weight: 900;
}

.next {
    right: 10px;
}

.cta {
    text-align: center;
    margin: 50px 0 30px;
}

.cta button {
    background: var(--purple);
    color: var(--light-gold);
    font-weight: 700;
    letter-spacing: 1px;
    cursor: pointer;
    border: none;
    padding: 16px 42px;
    border-radius: 40px;
    font-size: 16px;
    transition: all 0.3s ease;
}

.cta button:hover {
    transform: translateY(-5px);
    box-shadow: 0 15px 40px rgba(53, 53, 52, 0.5);
}

.footer {
    display: flex;
    justify-content: flex-end;
    gap: 20px;
    margin-right: 50px;
}

.footer img {
    height: 40px;
    cursor: pointer;
}

.avail {
    text-align: right;
    margin-right: 140px;
    margin-bottom: 14px;
    opacity: 0.9;
}
.audio-controls {
 place-self: center;
}

.mute-toggle {
    width: clamp(40px, 6vw, 50px);
    height: clamp(40px, 6vw, 50px);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: all 0.3s ease;
    font-size: clamp(1rem, 3vw, 1.5rem);
      background: rgba(212, 175, 55, 0.2);
    border-color: var(--metallic-gold);
    color: var(--light-gold);
}

.mute-toggle.active {
    background: rgba(212, 175, 55, 0.3);
    border-color: var(--metallic-gold);
    color: var(--light-gold);
}

@media (max-width: 768px) {
  .ribbon {
    width: 270px;
  }
  .cta {
    margin: 0 0 20px 0;
  }

  .footer {
    justify-content: center;
    margin: 0 0 20px 0;
  }

  .avail {
    text-align: center;
    margin-right: unset;
    margin-top: 28px;
  }

  .slide {
    min-width: 300px;
  }
  .slide.active {
    transform: scale(1.4);
  }
}

@media (max-width: 320px) {
  .ribbon {
    width: 200px;
  }

  .footer {
    flex-direction: column;
    align-items: center;
    gap: 5px;
  }
  .cta button {
    font-weight: 600;
    letter-spacing: 0;
    padding: 10px 28px;
    border-radius: 10px;
    font-size: 12px;
  }
  .slide {
    min-width: 200px;
  }
  .privacy_sec {
    margin-top: 20px;
    flex-direction: column;
    align-items: center;
    gap: 0;
  }
  .privacy_sec a {
    margin: 0;
  }
}

.privacy_sec {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    margin-bottom: 20px;
}
.privacy_sec a {
    color: black;
}